Skip to content

/api/v1/facilities/{facilityId}/inventory/releases

POST
/api/v1/facilities/{facilityId}/inventory/releases
curl --request POST \
--url https://example.com/api/v1/facilities/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/inventory/releases \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "positionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "quantity": 1, "unitOfMeasureCode": "example", "productId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "serials": [ "example" ], "reference": "example", "note": "example" }'
facilityId
required
string format: uuid
object
positionId
string format: uuid
nullable
quantity
integer format: int32
nullable
unitOfMeasureCode
string
nullable
productId
string format: uuid
nullable
serials
Array<string>
nullable
reference
string
nullable
note
string
nullable

Example generated

{
"positionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"quantity": 1,
"unitOfMeasureCode": "example",
"productId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"serials": [
"example"
],
"reference": "example",
"note": "example"
}

Created

object
transactionId
required
string format: uuid
facilityId
required
string format: uuid
type
required
string
Allowed values: Receipt Adjustment Move Hold Release Pick Issue
reasonCode
required
string
nullable
Allowed values: Shrinkage Damage Discovered Found Correction CycleCount
reference
required
string
nullable
note
required
string
nullable
occurredAt
required
string format: date-time
lines
required
Array<object>
object
lineNumber
required
integer format: int32
productId
required
string format: uuid
sku
required
string
fromPositionId
required
string format: uuid
nullable
fromLocationId
required
string format: uuid
nullable
fromLocationCode
required
string
nullable
fromLpnId
required
string format: uuid
nullable
fromLpnCode
required
string
nullable
fromStatus
required
string
nullable
Allowed values: Available Quarantine Damaged
toPositionId
required
string format: uuid
nullable
toLocationId
required
string format: uuid
nullable
toLocationCode
required
string
nullable
toLpnId
required
string format: uuid
nullable
toLpnCode
required
string
nullable
toStatus
required
string
nullable
Allowed values: Available Quarantine Damaged
lotNumber
required
string
nullable
serial
required
string
nullable
expiryDate
required
string format: date
nullable
receivedOn
required
string format: date
quantity
required
integer format: int32
positions
required
Array<object>
object
positionId
required
string format: uuid
facilityId
required
string format: uuid
locationId
required
string format: uuid
locationCode
required
string
lpnId
required
string format: uuid
nullable
lpnCode
required
string
nullable
productId
required
string format: uuid
sku
required
string
lotNumber
required
string
nullable
serial
required
string
nullable
expiryDate
required
string format: date
nullable
receivedOn
required
string format: date
stockStatus
required
string
Allowed values: Available Quarantine Damaged
quantity
required
integer format: int32
allocatedQuantity
required
integer format: int32

Bad Request

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable

Not Found

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable

Conflict

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable